#ifndef __FOLDERPLAY_H__
#define __FOLDERPLAY_H__

// INCLUDES
#include <aknapp.h>
#include "FolderPlay.hrh"

// UID for the application;
// this should correspond to the uid defined in the mmp file
const TUid KUidFolderPlayApp = { _UID3 };

// CLASS DECLARATION

class CFolderPlayApplication : public CAknApplication
{
public:
	/**
	 * From CApaApplication, AppDllUid.
	 * @return Application's UID (KUidFolderPlayApp).
	 */
	TUid AppDllUid() const;

protected:
	/**
	 * From CApaApplication, CreateDocumentL.
	 * Creates CFolderPlayDocument document object. The returned
	 * pointer in not owned by the CFolderPlayApplication object.
	 * @return A pointer to the created document object.
	 */
	CApaDocument* CreateDocumentL();
};

#endif // __FOLDERPLAYAPPLICATION_H__
// End of File
