// INCLUDE FILES
#include "FolderPlayViewUi.h"
#include "FolderPlayDocument.h"

// ============================ MEMBER FUNCTIONS ===============================

CFolderPlayDocument* CFolderPlayDocument::NewL(CEikApplication& aApp)
{
	CFolderPlayDocument* self = new (ELeave) CFolderPlayDocument(aApp);

	CleanupStack::PushL(self);
	self->ConstructL();
	CleanupStack::Pop(self);

	return self;
}

void CFolderPlayDocument::ConstructL()
{
	// No implementation required
}

CFolderPlayDocument::CFolderPlayDocument(CEikApplication& aApp)
 : CAknDocument(aApp)
{
	// No implementation required
}

CFolderPlayDocument::~CFolderPlayDocument()
{
	// No implementation required
}

CEikAppUi* CFolderPlayDocument::CreateAppUiL()
{
	// Create the application user interface, and return a pointer to it;
	// the framework takes ownership of this object
	return new (ELeave) CFolderPlayAppUi(CCoeEnv::Static()->WsSession());
}

// End of File
